Sisimai::Reason::NetworkError(3pm)

NAME
Sisimai::Reason::NetworkError - Bounce reason is "networkerror" or not.

SYNOPSIS
    use Sisimai::Reason::NetworkError;
    print Sisimai::Reason::NetworkError->match('554 5.4.6 Too many hops'); # 1

DESCRIPTION
"Sisimai::Reason::NetworkError" checks the bounce reason is "networkerror" or not. This class is called only "Sisimai::Reason" class.

This is the error that the SMTP connection failed due to DNS look up failure or other network problems. This reason has added in Sisimai 4.1.12.

    A message is delayed for more than 10 minutes for the following
    list of recipients:

    kijitora@neko.example.jp: Network error on destination MXs

CLASS METHODS

  "text()"
text() method returns the fixed string "networkerror".

    print Sisimai::Reason::NetworkError->text;  # networkerror

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::NetworkError->match('5.3.5 System config error'); # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "networkerror". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2018,2020-2022,2024 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.